Name:          sdl2_mixer
Version:       2.6.3
Release:       1mamba
Summary:       a sample multi-channel audio mixer library.
Group:         System/Multimedia
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           https://www.libsdl.org/projects/SDL_mixer/
Source:        https://www.libsdl.org/projects/SDL_mixer/release/SDL2_mixer-%{version}.zip
License:       zlib/libpng
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: libSDL2-devel
## AUTOBUILDREQ-END
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires(post): %{__install_info}
Requires(preun): %{__install_info}

%description
SDL_mixer is a sample multi-channel audio mixer library.
It supports any number of simultaneously playing channels of 16 bit stereo audio, plus a single channel of music, mixed by the popular FLAC, MikMod MOD, Timidity MIDI, Ogg Vorbis, and SMPEG MP3 libraries.

%package -n lib%{name}
Group:         System/Libraries
Summary:       Shared libraries for %{name}

%description -n lib%{name}
This package contains shared libraries for %{name}.

%package -n lib%{name}-devel
Group:         Development/Libraries
Summary:       Development files for %{name}
Requires:      lib%{name} = %{?epoch:%epoch:}%{version}-%{release}
Requires:      pkg-config

%description -n lib%{name}-devel
This package contains libraries and header files for developing applications that use %{name}.


%debug_package

%prep
%setup -q -n SDL2_mixer-%{version}

%build
%configure
%make

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"

%post -n lib%{name} -p /sbin/ldconfig
%postun -n lib%{name} -p /sbin/ldconfig

%post -n lib%{name}-devel
%install_info %{name}.info
exit 0

%preun -n lib%{name}-devel
%uninstall_info %{name}.info
exit 0

%files -n lib%{name}
%defattr(-,root,root)
%{_libdir}/libSDL2_mixer-2.0.so.*
%doc LICENSE.txt

%files -n lib%{name}-devel
%defattr(-,root,root)
%{_includedir}/SDL2/*.h
%{_libdir}/libSDL2_mixer.a
%{_libdir}/libSDL2_mixer.so
%{_libdir}/pkgconfig/*.pc
%dir %{_libdir}/cmake/SDL2_mixer
%{_libdir}/cmake/SDL2_mixer/sdl2_mixer*.cmake
%doc README.txt

%changelog
* Thu Feb 09 2023 Automatic Build System <autodist@mambasoft.it> 2.6.3-1mamba
- automatic version update by autodist

* Mon Aug 22 2022 Automatic Build System <autodist@mambasoft.it> 2.6.2-1mamba
- automatic version update by autodist

* Fri Feb 26 2021 Ercole 'ercolinux' Carpanetto <ercole69@gmail.com> 2.0.4-1mamba
- package created using the webbuild interface
